Download it now!
Bug 88154 - PPTX: chart axis number format incorrect
Summary: PPTX: chart axis number format incorrect
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:5.1.0 target:5.2.0
Keywords:
Depends on:
Blocks:
 
Reported: 2015-01-07 12:48 UTC by Andras Timar
Modified: 2016-10-25 19:11 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
bugdoc (PPTX) (56.94 KB, application/powerpoint)
2015-01-07 12:48 UTC, Andras Timar
Details
Office2010 vs LO with and without correct break parameter (252.94 KB, image/png)
2015-11-29 02:06 UTC, Luke
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andras Timar 2015-01-07 12:48:59 UTC
Created attachment 111909 [details]
bugdoc (PPTX)

Chart horizontal axis has numbers instead of dates. I believe this is another instance of the "Chart Data Table" issue, whereby Charts that are backed by a data-table and not a sheet, cannot store formats, and hence we can't automatically get that from the source. Ultimately (like MS Office 2013(?)) we need to rip/replace the chart data-table, and force the use of a mini spreadsheet to back all charts - to properly solve this issue.
Comment 1 raal 2015-01-08 00:02:01 UTC
I can confirm with Version: 4.5.0.0.alpha0+
Build ID: 7f476fea47f06a7f8cc961dd4f6595a524346fa5
TinderBox: Linux-rpm_deb-x86_64@46-TDF, Branch:master, Time: 2014-12-27_23:36:28
Comment 2 Commit Notification 2015-10-07 09:09:23 UTC
Marco Cecchetti committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d52d448e7b34cb8c2457948489e6691049f4a571

tdf#88154 workaround and unit test

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2015-11-28 23:40:42 UTC
Marco Cecchetti committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4daba1f0e526c8c1ba829fe6e95c957bef6e46bb

tdf#88154 - added unit test for rotated layout

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Luke 2015-11-29 01:54:44 UTC
Marco Cecchetti,
Are you aware of Bug 84647 and Bug 85491? It seems we keep adding workarounds for OOXML files instead using the correct defaults defined by the OOXML specification. If I manually change the break value from false to the correct value of true, the test file is correctly imported renders like Office 2010, without needing your workaround.

Shouldn't we use the correct default like the binary MS-XLS importer instead of adding more workarounds for OOXML?
Comment 5 Luke 2015-11-29 02:06:24 UTC
Created attachment 120856 [details]
Office2010 vs LO with and without correct break parameter

LO on the top has the Text Flow:break parameter changed to true following the OOXML spec. Lo on the bottom is the current, incorrect value of false.